<script type="text/javascript" >
			
	function ajax_data() {
            var variable = {
                //pass_ajaxurl: ajaxurl,
                action: 'imagesAjax',
                imagesNumber: jQuery('select[name=imgPage]').val(),
                id: '<?php echo $this->id; ?>',
                key: '<?php echo $this->key; ?>',
                imageCount: <?php echo $this->gallery['image_count']; ?>
            };
            return variable;
	}
	
	function pagination_click() {
            jQuery('#paging_button span.page').click(function() {
                smw_ajax_start('#admin-image-list', '#loading','loadingStart');
                var newajaxurl = ajaxurl + "?page=" + this.id;
                var data = ajax_data();
                jQuery.post(newajaxurl, data, function(data) {
                    jQuery('#admin-image-list').html(data);
                    //alert('Got this from the server: ' + data);
                    pagination_click();
                    select_change();
                    prettyPhoto_init();
                    exif_data_open();
                    image_hide();
                    caption_save();
                    unbind_onhover('#prettyPhoto','#admin-image-list','.loadingStart');
                });
            });
	}
	function smw_ajax_start(ajaxElementId, loadingId, element_call) {
		var bind_var = 'ajaxStart.' + element_call;
		//alert(loadingId);
		jQuery(ajaxElementId).bind(bind_var, function() {
			jQuery(loadingId).fadeIn(500);
			jQuery(this).fadeOut(600);
		});
	}
	function smw_ajax_unbind(ajaxElementId, element_call) {
		jQuery(ajaxElementId).unbind(element_call);
	}
	function smw_ajax_stop(ajaxElementId, loadingId, element_call) {
		var bind_var = 'ajaxStart.' + element_call;
		
		jQuery(ajaxElementId).ajaxStop(function() {
			jQuery(loadingId).fadeOut(500);
			jQuery(this).fadeIn(600);
		});
	}
	function select_change() {
		jQuery('select[name=imgPage]').change(function() {
			smw_ajax_start('#admin-image-list', '#loading','loadingStart');
			var newajaxurl = ajaxurl + "?page=" + 1;
			var data = ajax_data();
			data.imagesNumber = jQuery(this).val();
			jQuery.post(newajaxurl, data, function(data) {
				jQuery('#admin-image-list').html(data);
				pagination_click();
				//alert('Got this from the server: ' + data);
				select_change();
				prettyPhoto_init();
				exif_data_open();
				image_hide();
                                caption_save();
				smw_ajax_unbind('#admin-image-list','.loadingStart');
			});
			smw_ajax_stop('#admin-image-list', '#loading','loadingStart');
			
		});
	}
	
	function exif_data_open() {
		jQuery('.info .image-exif').click(function () {
			jQuery('#admin-image-list').unbind('.loadingStart');
			
			var exif_id = jQuery(this).attr('id');
			var exif_key = jQuery(this).attr('key');
			var filename = jQuery(this).attr('filename');
			
			var data_exif = {
				//pass_ajaxurl: ajaxurl,
				action: 'imageEXIF',
				id: exif_id,
				key: exif_key,
				filename: filename
			};
			
			jQuery.post(ajaxurl, data_exif, function(data) {
				jQuery('#exif-interior').html(data);
				jQuery.prettyPhoto.open('#exif-data');
				exif_data_open();
				
			});
		});
	}
	
	function unbind_onhover(click_element, unbind_element, unbind_call) {
		jQuery(click_element).hover(function() {
			jQuery(unbind_element).unbind(unbind_call);
		});
	}
	
	function image_hide() {
            jQuery('td.exclude button').click(function () {

                jQuery('#admin-image-list').unbind('.loadingStart');
                var hide_id = jQuery(this).attr('id');
                var hide_key = jQuery(this).attr('key');
                var imagehide = jQuery(this).attr('imagehide');
                smw_ajax_start('#' + hide_key, '#image-hide-loading-' + hide_key,'loadingHide');
                var data_hide = {
                        //pass_ajaxurl: ajaxurl,
                        action: 'imageHide',
                        id: hide_id,
                        key: hide_key,
                        hidden: imagehide
                };
                jQuery.post(ajaxurl, data_hide, function(data) {
                        //alert(hide_key);
                        jQuery('td.exclude #' + hide_key).html(data);
                        image_hide();
                        smw_ajax_unbind('#' + hide_key,'.loadingHide');
                });
                smw_ajax_stop('#' + hide_key, '#image-hide-loading-' + hide_key,'loadingHide');
            });
	}
        function showValues(form_id) {
          var str = jQuery('#' + form_id).serialize();
          //jQuery("#results").text(str);
          return str;
        }
        function caption_save() {
            jQuery('button#caption-save').click(function() {
                
                var hide_id = jQuery(this).parent().attr('id');
                var image_id = jQuery(this).siblings('textarea').attr('id');
                var caption = jQuery(this).siblings('textarea').val();
                jQuery('#' + hide_id).fadeOut(600);
                //alert(hide_id);
                var data_caption = {
                  action: 'caption_save',
                  image_id: image_id,
                  caption: caption
                };
                jQuery.post(ajaxurl,data_caption, function(data) {
                    jQuery('#caption-' + image_id + ' textarea').html(data);
                    jQuery('#' + hide_id).fadeIn(600);
                });
                
            });
        }
        function subcategory_new() {
            jQuery('select[name=SubCategoryID]').change(function() {
                    if(jQuery(this).val() == 'new') {
                            jQuery('#new-subcategory').slideDown();
                    } else {
                            jQuery('#new-subcategory').slideUp();
                    }
            });
        }

        function subcategory_get() {
            jQuery('select[name=CategoryID]').change(function() {
                subcategory_function();
            });
        }
        function subcategory_function() {
            var category_id = jQuery('select[name=CategoryID]').val();
            var data_subcategory = {
                action:'subcategories_get',
                <?php if(!empty($this->gallery['sub_category_id'])): ?>
                subcategory_id: <?php echo $this->gallery['sub_category_id']; ?>,
                <?php endif; ?>
                category_id: category_id,
            };
            jQuery.post(ajaxurl,data_subcategory, function(data) {
                jQuery('select[name=SubCategoryID]').html(data);
                subcategory_new();
            });
        }
	function gallery_edit() {
            jQuery('button#edit-gallery-submit').click(function() {
                jQuery("#edit-gallery").nimbleLoader("show");
                //smw_ajax_start('#edit-gallery', '#loadingEdit','loadingStartEdit');
                var form_id = jQuery(this).siblings('form').attr('id');
                //var form_fields = jQuery('#' + form_id).map(function(){ return jQuery.makeArray(this.elements); }); 
                var check_boxes = new Array();

                jQuery(':checkbox', '#' + form_id).each(function(i) {
                    //alert(i + ' ' + val);
                    if (jQuery(this).attr('type') == 'checkbox') {
                            var key = jQuery(this).attr('name');
                    }
                    check_boxes[i] = key;
                });
                //alert(form_id);
                //jQuery(":checkbox, :radio").click(showValues);
                //jQuery("select").change(showValues);
                var form_data = showValues(form_id);
                //alert(form_fields[0]);
                var data3 = {
                    action: 'editGallery',
                    id: '<?php echo $this->id; ?>',
                    /*key: '<?php echo $this->key; ?>',*/
                    form_data: form_data,
                    check_boxes: check_boxes
                };
                jQuery.post(ajaxurl,data3, function(data) {

                    //jQuery('#edit-gallery').html(data);
                    //alert(data);
                    gallery_edit();
                    //smw_ajax_unbind('#edit-gallery','.loadingStartEdit');
                    subcategory_get();
                    subcategory_new();
                    jQuery("#edit-gallery").nimbleLoader("hide");
                });
                //smw_ajax_stop('#edit-gallery', '#loadingEdit','loadingEndEdit');
            });
	}
	jQuery(function($) {
            //alert('hey there');
            gallery_edit();
            subcategory_get();
            subcategory_new();
            $('#edit-gallery-toggle').click(function() {
                subcategory_function();
                if ($('#edit-gallery-toggle').hasClass('open')) {
                    $('#edit').slideToggle('slow',function() {
                        $('#edit-gallery-toggle').text('Edit Gallery');
                        $('#edit-gallery-toggle').removeClass('open');
                    });
                } else {
                    $('#edit').slideToggle('slow',function() {
                        $('#edit-gallery-toggle').text('Stop Editing Gallery');
                        $('#edit-gallery-toggle').addClass('open');
                    });
                }

            });


            smw_ajax_start('#admin-image-list', '#loading','loadingStart');
            var newajaxurl = ajaxurl + "?page=" + 1;
            var data = ajax_data();
            data.imagesNumber = 10;
            $.post(newajaxurl, data, function(data) {
                $('#admin-image-list').html(data);
                data.imagesNumber = jQuery('select[name=imgPage]').val();
                //alert('Got this from the server: ' + data);
                pagination_click();
                select_change();
                prettyPhoto_init();
                exif_data_open();
                image_hide();
                caption_save();
                smw_ajax_unbind('#admin-image-list','.loadingStart');
            });
            //alert(ajaxurl);
            // since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
            smw_ajax_stop('#admin-image-list', '#loading','loadingEnd');
	});
</script>