<table class="widefat">
    <thead>
        <tr>
            <th><?php echo SMW_SERVICE; ?> ID</th>
            <th>Gallery Title</th>
            <th>Category</th>
            <th>SubCategory</th>
            <th># of Images</th>
            <th>Passworded</th>
            <th><?php echo SMW_SERVICE; ?> Link</th>
            <th>Exclude from Wordpress</th>
        </tr>
    </thead>
    <tfoot>
        <tr>
            <th><?php echo SMW_SERVICE; ?> ID</th>
            <th>Gallery Title</th>
            <th>Category</th>
            <th>SubCategory</th>
            <th># of Images</th>
            <th>Passworded</th>
            <th><?php echo SMW_SERVICE; ?> Link</th>
            <th>Exclude from Wordpress</th>
        </tr>
    </tfoot>
    <tbody>
        <?php foreach($this->galleries as $gallery): ?>
        <tr id="<?php echo $gallery->gallery_id; ?>">
            <td><?php echo $gallery->gallery_id; ?></td>
            <td><a href="admin.php?page=smugmug-edit-gallery&key=<?php echo $gallery->gallery_key; ?>&id=<?php echo $gallery->gallery_id; ?>"><?php echo urldecode($gallery->title); ?></a></td>
            <td><?php echo $gallery->category_name; ?></td>
            <td><?php echo ($gallery->sub_category_name ? $gallery->sub_category_name : '<em>None</em>'); ?></td>
            <td><?php echo $gallery->image_count; ?></td>
            <td><?php echo ($gallery->passworded == 1 ? 'Yes' : 'No'); ?></td>
            <td><a target="_blank" href="<?php echo $gallery->url; ?>?iframe=true&width=850&height=700" rel="prettyPhoto[Albums]">Go to <?php echo SMW_SERVICE; ?></a></td>
            <td>
                <form action="" id="<?php echo $gallery->gallery_id; ?>" method="post" accept-charset="utf-8">
                    <input type="hidden" name="smw_exclude_gallery" value="1" />
                    <input type="hidden" name="smw_exclude_gallery_id" value="<?php echo $gallery->gallery_id; ?>" />
                </form>
                <button id="exclude-gallery-<?php echo $gallery->gallery_id; ?>" type="submit" class="button-secondary">Exclude Gallery</button>
                <div style="display:none;" id="dialog-exclude-<?php echo $gallery->gallery_id; ?>" title="Exclude '<?php echo $gallery->title; ?>'?">
                <p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>You are about to exclude the gallery '<?php echo $gallery->title ?>'. You will not be able to add it to any Wordpress pages or posts.</p><h4>Are you sure?</h4>
                </div>

                <div style="display:none;" id="dialog-exclude-final-<?php echo $gallery->gallery_id; ?>" title="Are You Sure?">
                    <p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>This is the last chance to not exclude the gallery '<?php echo $gallery->title ?>'. You will not be able to add it to any Wordpress pages or posts.</p><h4>Are you sure?</h4>
                </div>
                <script type="text/javascript">
                jQuery(function($) {
                        var data_exclude_<?php echo $gallery->gallery_id; ?> = {
                            action: 'exclude_gallery',
                            gallery_id: <?php echo $gallery->gallery_id; ?>
                        }
                        $( "#dialog-exclude-<?php echo $gallery->gallery_id; ?>" ).dialog({
                            resizable: false,
                            width: 345,
                            //height:140,
                            modal: true,
                            autoOpen: false,
                            buttons: {
                                "Continue": function() {
                                    $( this ).dialog( "close" );
                                    $( "#dialog-exclude-final-<?php echo $gallery->gallery_id; ?>" ).dialog( 'open' );
                                },
                                Cancel: function() {
                                    $( this ).dialog( "close" );
                                }
                            }
                        });
                        $( "#dialog-exclude-final-<?php echo $gallery->gallery_id; ?>" ).dialog({
                            resizable: false,
                            width: 345,
                            //height:140,
                            modal: true,
                            autoOpen: false,
                            buttons: {
                                "Exclude Gallery": function() {
                                    $( this ).dialog( "close" );
                                    jQuery(".wrap").nimbleLoader("show");
                                    $.post(ajaxurl, data_exclude_<?php echo $gallery->gallery_id; ?>, function(data) {
                                        jQuery(".wrap").nimbleLoader("hide");
                                        getGalleries();
                                        getService();
                                    });
                                },
                                Cancel: function() {
                                    $( this ).dialog( "close" );
                                }
                            }
                        });
                        $('#exclude-gallery-<?php echo $gallery->gallery_id; ?>').click(function() {
                            $("#dialog-exclude-<?php echo $gallery->gallery_id; ?>").dialog('open');
                        });
                    });
                </script>
            </td>
        </tr>
        <?php endforeach; ?>
    </tbody>
</table>