<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of overview
 *
 * @author anthony.humes
 */
class SMW_Controllers_Admin_Overview extends SMW_Controllers_Abstract {
    private static $instance;
    private function __construct() {
        $this->galleries = SMW::getItem('galleries');
        $this->images = SMW::getItem('images');
    }
    public static function getInstance() {
        if(!isset(self::$instance)) {
            $className = __CLASS__;
            self::$instance = new $className;
        }
        return self::$instance;
    }
    public function getArgs() {
        $args['gallery_count'] = $this->galleries->getCount();
        $args['image_count'] = $this->images->getCount();
        $args['gallery_pass_count'] = $this->galleries->getCount( true );
        return $args;
    }
}