<?php

class SMW_Loader
{    
    public static function registerAutoload()
    {
        return spl_autoload_register(array(__CLASS__, 'includeClass'));
    }
    
    public static function unregisterAutoload()
    {
        return spl_autoload_unregister(array(__CLASS__, 'includeClass'));
    }
    
    public static function includeClass( $class )
    {
        
        if( $class == 'phpSmug' ) {
            $path = SMW_CLASSES_DIR . $class;
            require_once("{$path}.php");
        } elseif( !class_exists( $class ) ) {
            $pos = strpos( $class, 'SMW_' );
            if( $pos === false ) {
                
            } else {
                $path = str_replace( 'SMW_', '', $class );
                $classes = explode('_',$path);
                foreach($classes as $class) {
                    preg_match_all('/[A-Z][^A-Z]*/',$class,$new_classes[]);
                }
                foreach($new_classes as $key => $new_class) {
                    $final_classes[] = strtolower(implode('-',$new_class[0]));
                }
                $path = implode('/',$final_classes);
                $path = SMW_CLASSES_DIR . $path;
                require_once("{$path}.php");
            }
        }
    }
}
