<?php

class SMW_Helpers_BuyLinks {
    private static $instance;
    private function __construct() {
        $this->galleries = SMW::getItem('galleries');
        $this->base_url = 'http://' . get_option('smw_default_service_url');
    }
    public static function getInstance() {
        if(!isset(self::$instance)) {
            $className = __CLASS__;
            self::$instance = new $className;
        }
        return self::$instance;
    }
    function image( $image ) {
        $buy_link = $this->base_url . '/buy/' . $image['gallery_id'] . '_' . $image['gallery_key'] . '/' . $image['image_id'] . '_' . $image['image_key'];
        return $buy_link;
    }
    function gallery( $id ) {
        $gallery = $this->galleries->getItem( $id, true );
        $buy_link = $this->base_url . '/buy/' . $gallery['gallery_id'] . '_' . $gallery['gallery_key'];
        return $buy_link;
    }
}
