<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of lightbox
 *
 * @author anthony.humes
 */
class SMW_Helpers_Lightbox {
    private static $instance;
    private function __construct() {
        $this->type = get_option('smw_lightbox_type');
    }
    public static function getInstance() {
        if(!isset(self::$instance)) {
            $className = __CLASS__;
            self::$instance = new $className;
        }
        return self::$instance;
    }
    public function code( $set, $image ) {
        switch($this->type) {
            case 'prettyphoto':
                $lightbox_code = 'rel="prettyPhoto['.$set.']" title="'.$image['Caption'].'"';
                break;
            case 'clearbox':
                $lightbox_code = $image['Type'];
                if($image['Type'] == 'image') {
                    $lightbox_code = 'rel="clearbox[gallery='.$set.',,comment='.$image['Caption'].']"';
                } elseif($image['Type'] == 'video') {
                    $lightbox_code = 'rel="clearbox[gallery='.$set.',,width='.$image['Width'].',,height='.$image['Height'].',,comment='.$image['Caption'].']"';
                }

                break;
        }
        return $lightbox_code;
    }
}

?>
