<div class="wrap">
    <h2><?php echo SMW_SERVICE; ?> Albums <a href="admin.php?page=smugmug-create-album" class="button-secondary">Add New Album</a></h2>
    <p>Click on the name of an album to manage that album</p>
    <table class="widefat">
        <thead>
            <tr>
                <th><?php echo SMW_SERVICE; ?> ID</th>
                <th>Album Title</th>
                <th>Category</th>
                <th># of Images</th>
                <th>Passworded</th>
                <th><?php echo SMW_SERVICE; ?> Link</th>
                <th>Delete Album</th>
            </tr>
        </thead>
        <tfoot>
            <tr>
                <th><?php echo SMW_SERVICE; ?> ID</th>
                <th>Album Title</th>
                <th>Category</th>
                <th># of Images</th>
                <th>Passworded</th>
                <th><?php echo SMW_SERVICE; ?> Link</th>
                <th>Delete Album</th>
            </tr>
        </tfoot>
        <tbody>
           <?php foreach($this->albums as $album): ?>
                <?php //print_r($album); ?>
                <tr id="<?php echo $album->album_id; ?>">
                    <td><?php echo $album->album_id; ?></td>
                    <td><a href="admin.php?page=smugmug-manage-album&key=<?php echo $album->album_key; ?>&id=<?php echo $album->album_id; ?>"><?php echo $album->title; ?></a></td>
                    <td><?php echo $album->category_name; ?></td>
                    <td><?php echo $album->image_count; ?></td>
                    <td><?php echo ($album->passworded == 1 ? 'Yes' : 'No'); ?></td>
                    <td><a target="_blank" href="<?php echo $album->url; ?>?iframe=true&width=850&height=700" rel="prettyPhoto[Albums]">Go to <?php echo SMW_SERVICE; ?></a></td>
                    <td>
                        <form action="" id="<?php echo $album->album_id; ?>" method="post" accept-charset="utf-8">
                            <input type="hidden" name="smugpress_delete_album" value="1" />
                            <input type="hidden" name="smugpress_delete_album_id" value="<?php echo $album->album_id; ?>" />
                        </form>
                        <button id="delete-album-<?php echo $album->album_id; ?>" type="submit" class="button-secondary">Delete Album</button>
                        <div style="display:none;" id="dialog-delete-<?php echo $album->album_id; ?>" title="Delete '<?php echo $album->title; ?>'?">
                        <p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>You are about to delete the album '<?php echo $album->title ?>'. You will lose all data and pictures in this album.  Are you sure?</p>
                        </div>

                        <div style="display:none;" id="dialog-delete-final-<?php echo $album->album_id; ?>" title="Are You Sure?">
                            <p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>This is the last chance to not delete the album '<?php echo $album->title ?>'. You will lose all data and pictures in this album.  Are you sure?</p>
                        </div>
                        <script type="text/javascript">
                        jQuery(function($) {
                                var data_delete_<?php echo $album->album_id; ?> = {
                                    action: 'delete_album',
                                    album_id: <?php echo $album->album_id; ?>
                                }
                                $( "#dialog-delete-<?php echo $album->album_id; ?>" ).dialog({
                                    resizable: false,
                                    width: 345,
                                    //height:140,
                                    modal: true,
                                    autoOpen: false,
                                    buttons: {
                                        "Continue": function() {
                                            $( this ).dialog( "close" );
                                            $( "#dialog-delete-final-<?php echo $album->album_id; ?>" ).dialog( 'open' );
                                        },
                                        Cancel: function() {
                                            $( this ).dialog( "close" );
                                        }
                                    }
                                });
                                $( "#dialog-delete-final-<?php echo $album->album_id; ?>" ).dialog({
                                    resizable: false,
                                    width: 345,
                                    //height:140,
                                    modal: true,
                                    autoOpen: false,
                                    buttons: {
                                        "Delete Album": function() {
                                            $( this ).dialog( "close" );
                                            $.post(ajaxurl, data_delete_<?php echo $album->album_id; ?>, function(data) {
                                                $( 'tr#<?php echo $album->album_id; ?>' ).html(data);
                                                timeout_fade('tr#<?php echo $album->album_id; ?>',2500);
                                            });
                                        },
                                        Cancel: function() {
                                            $( this ).dialog( "close" );
                                        }
                                    }
                                });
                                $('#delete-album-<?php echo $album->album_id; ?>').click(function() {
                                    $("#dialog-delete-<?php echo $album->album_id; ?>").dialog('open');
                                });
                            });
                        </script>
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>

