<table class="widefat">
    <thead>
        <tr>
            <th><?php echo SMW_SERVICE; ?> ID</th>
            <th>Album Title</th>
            <th>Category</th>
            <th>SubCategory</th>
            <th># of Images</th>
            <th>Passworded</th>
            <th><?php echo SMW_SERVICE; ?> Link</th>
            <th>Delete Album</th>
            <th>Add Album to Wordpress</th>
        </tr>
    </thead>
    <tfoot>
        <tr>
            <th><?php echo SMW_SERVICE; ?> ID</th>
            <th>Album Title</th>
            <th>Category</th>
            <th>SubCategory</th>
            <th># of Images</th>
            <th>Passworded</th>
            <th><?php echo SMW_SERVICE; ?> Link</th>
            <th>Delete Album</th>
            <th>Add Album to Wordpress</th>
        </tr>
    </tfoot>
    <tbody>
        <?php foreach($this->service_galleries as $gallery): ?>
            <?php //print_r($gallery); ?>
            <tr id="<?php echo $gallery['id']; ?>">
                <td><?php echo $gallery['id']; ?></td>
                <td><?php echo $gallery['Title']; ?></td>
                <td><?php echo $gallery['Category']['Name']; ?></td>
                <td><?php echo ($gallery['SubCategory']['Name'] ? $gallery['SubCategory']['Name'] : '<em>None</em>'); ?></td>
                <td><?php echo $gallery['ImageCount']; ?></td>
                <td><?php echo ($gallery['Passworded'] == 1 ? 'Yes' : 'No'); ?></td>
                <td><a target="_blank" href="<?php echo $gallery['URL']; ?>?iframe=true&width=850&height=700" rel="prettyPhoto[Albums]">Go to <?php echo SMW_SERVICE; ?></a></td>
                <td>
                    <form action="" id="<?php echo $gallery['id']; ?>" method="post" accept-charset="utf-8">
                        <input type="hidden" name="smw_delete_gallery" value="1" />
                        <input type="hidden" name="smw_delete_gallery_id" value="<?php echo $gallery['id']; ?>" />
                    </form>
                    <button id="delete-gallery-<?php echo $gallery['id']; ?>" type="submit" class="button-secondary">Delete Gallery</button>
                    <div style="display:none;" id="dialog-delete-<?php echo $gallery['id']; ?>" title="Delete '<?php echo $gallery['Title']; ?>'?">
                    <p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>You are about to delete the gallery <strong><?php echo $gallery['Title'] ?></strong> from <?php echo SMW_SERVICE; ?>. You will lose all data and pictures in this gallery.</p><h4>Are you sure?</h4>
                    </div>

                    <div style="display:none;" id="dialog-delete-final-<?php echo $gallery['id']; ?>" title="Are You Sure?">
                        <p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>This is the last chance to not delete the gallery <strong><?php echo $gallery['Title'] ?></strong> from <?php echo SMW_SERVICE; ?>. You will lose all data and pictures in this gallery.</p><h4>Are you sure?</h4>
                    </div>
                    <script type="text/javascript">
                    jQuery(function($) {
                            var data_delete_<?php echo $gallery['id']; ?> = {
                                action: 'delete_gallery',
                                name: '<?php echo addslashes($gallery['Title']); ?>',
                                gallery_id: <?php echo $gallery['id']; ?>
                            }
                            var data_add_<?php echo $gallery['id']; ?> = {
                                action: 'add_gallery',
                                gallery_id_key: '<?php echo $gallery['id']; ?>|<?php echo $gallery['Key']; ?>'
                            }
                            $('#add-gallery-<?php echo $gallery['id']; ?>').click(function() {
                                jQuery(".wrap").nimbleLoader("show");
                                $.post(ajaxurl, data_add_<?php echo $gallery['id']; ?>, function(data) {
                                    jQuery(".wrap").nimbleLoader("hide");
                                    getGalleries();
                                    getService();
                                });
                            });
                            $( "#dialog-delete-<?php echo $gallery['id']; ?>" ).dialog({
                                resizable: false,
                                width: 345,
                                //height:140,
                                modal: true,
                                autoOpen: false,
                                buttons: {
                                    "Continue": function() {
                                        $( this ).dialog( "close" );
                                        $( "#dialog-delete-final-<?php echo $gallery['id']; ?>" ).dialog( 'open' );
                                    },
                                    Cancel: function() {
                                        $( this ).dialog( "close" );
                                    }
                                }
                            });
                            $( "#dialog-delete-final-<?php echo $gallery['id']; ?>" ).dialog({
                                resizable: false,
                                width: 345,
                                //height:140,
                                modal: true,
                                autoOpen: false,
                                buttons: {
                                    "Delete Gallery": function() {
                                        $( this ).dialog( "close" );
                                        jQuery("#service-galleries-table").nimbleLoader("show");
                                        $.post(ajaxurl, data_delete_<?php echo $gallery['id']; ?>, function(data) {
                                            $( 'tr#<?php echo $gallery['id']; ?>' ).html(data);
                                            jQuery("#service-galleries-table").nimbleLoader("hide");
                                            timeout_fade('tr#<?php echo $gallery['id']; ?>',2500);
                                        });
                                    },
                                    Cancel: function() {
                                        $( this ).dialog( "close" );
                                    }
                                }
                            });
                            $('#delete-gallery-<?php echo $gallery['id']; ?>').click(function() {
                                $("#dialog-delete-<?php echo $gallery['id']; ?>").dialog('open');
                            });
                        });
                    </script>
                </td>
                <td><button id="add-gallery-<?php echo $gallery['id']; ?>" type="submit" class="button-primary">Add Gallery</button></td>
            </tr>
        <?php endforeach; ?>
    </tbody>
</table>