<?php
global $post_var;
$post_var == $_POST;

class SMW_Helpers_Forms {
    public $post;
    public $meta_boxes;
    public $columns;
    public $args;
    public $value;
    public $url;
    private static $instance;
    private function __construct() {
        $this->url = SMW::getHelper('url');
    }
    public static function getInstance() {
        if(!isset(self::$instance)) {
            $className = __CLASS__;
            self::$instance = new $className();
        }
        return self::$instance;
    }
    public function createForm() {
        $array_keys = array_keys($meta_boxes);
        
        if($_POST[$meta_boxes[$array_keys[0]]['name']]) {
            $this->smp_save_form( $meta_boxes, $is_post );
        }
    }
    public function renderer( $layout=false ) {
        $this->class = get_class();
        $this->render($layout,$this->class);
    }
    function createFormTable( $meta_boxes, $columns = 1, $is_post = true ) {
        if($is_post) {
            global $post;
            $this->post = $post;
        }
        
        $this->is_post = $is_post;
        
        //print_r($_POST);
         
        $this->meta_boxes = $meta_boxes;
        
        $this->columns = $columns;
        
        SMW::getBlock('helpers/forms/form-table');
        
        //$this->renderer('form-table');
        
    }
    function generateTable($meta, $columns, $is_post) {
        
        if($is_post) {
            $value = stripslashes( get_post_meta( $this->post->ID, $meta['name'], true ) );
            if(!$value) {
                $value = $meta['default_value'];
            }
            
        } else {
            $value = stripslashes( get_option( $meta['name']) );
        }
        if($meta['value'] ? $value = $meta['value'] : $value = $value);
        return $this->smw_field_creation( $meta, $value, $columns, $is_post );
    }

    //public static function smp_field_creation($args,$value,$type) {
    public function smw_field_creation( $args=false, $value=false, $columns=1, $is_post = false ) {
        $this->args = $args;
        $this->value = $value;
        $this->columns = $columns;
        $this->is_post = $is_post;
        
        //print_r($this->value);
        
        SMW::getBlock('helpers/forms/input-' . $args['type']);
        
        //$this->renderer('input-' . $args['type']);
        
    }
    function save_form_ajax( $posted_data ) {
        $i = 0;
        foreach($posted_data as $data) {
            $_setting = explode('=',$data);
            $_name = str_replace(array('%5B','%5D'),'',$_setting[0]);
            $changes[$_name] = str_replace('+',' ',$_setting[1]);
            $i++;
        }
        foreach($changes as $name => $data) {
            $option = get_option( $name );
            if($name == 'smw_default_service_url') {
                $data = $this->url->parse($data,'no-http');
                $data = esc_url_raw($data);
            }
            if($option == '' && $data != '') {
                $success = add_option($name,$data,'','yes');
            } elseif ( $data != $option && $data != '' ) {
                $success = update_option($name,$data);
            } elseif ( $data == '' ) {
                $success = delete_option( $meta_box['name'] );
            }
        }
        return $success;
    }
    function saveForm( $meta_boxes, $is_post ) {
        
        //if($this->get_current_filename() != admin.php) {
            $post_id = $_POST['post_ID'];
        //}

        foreach ( $meta_boxes as $meta_box ) {
            
            if ( !wp_verify_nonce( $_POST[$meta_box['name'] . '_noncename'], $meta_box['name'] ) )
                return $post_id;
            
            //if ( 'smp-album' == $_POST['post_type'] && !current_user_can( 'edit_page', $post_id ) )
                //return $post_id;
            
            $data = stripslashes( $_POST[$meta_box['name']] );
            if($is_post) {
                $smp_option = get_post_meta( $post_id, $meta_box['name'], true );
                if ( $smp_option == '' && $data != '' )
                    add_post_meta( $post_id, $meta_box['name'], $data, true );
                elseif ( $data != $smp_option && $data != '' )
                    update_post_meta( $post_id, $meta_box['name'], $data );

                elseif ( $data == '' )
                    delete_post_meta( $post_id, $meta_box['name'], get_post_meta( $post_id, $meta_box['name'], true ) );
            } else {
                $smp_option = get_option( $meta_box['name'] );
                if ( $smp_option == '' && $data != '' )
                    add_option( $meta_box['name'], $data, '', 'yes' );
                elseif ( $data != $smp_option && $data != '' )
                    update_option( $meta_box['name'], $data );

                elseif ( $data == '' )
                    delete_option( $meta_box['name'] );
            }

        }
    }
}

//global $smp_forms;
//$smp_forms = new Admin_Forms();